Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessageStatistic.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessageStatistic.Builder

Enclosing class:
  `DispatchMessageStatistic`

public static class DispatchMessageStatistic.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DispatchMessageStatistic`
  `build()`
  `DispatchMessageStatistic.Builder`
  `setContactId(int contactId)`
  `DispatchMessageStatistic.Builder`
  `setContactValue(String contact)`
  `DispatchMessageStatistic.Builder`
  `setContractId(int contractId)`
  `DispatchMessageStatistic.Builder`
  `setContractTitle(String contractTitle)`
  `DispatchMessageStatistic.Builder`
  `setDispatchId(int dispatchId)`
  `DispatchMessageStatistic.Builder`
  `setDispatchTitle(String dispatchTitle)`
  `DispatchMessageStatistic.Builder`
  `setId(int value)`
  `DispatchMessageStatistic.Builder`
  `setMessageId(int messageId)`
  `DispatchMessageStatistic.Builder`
  `setMessageText(String messageText)`
  `DispatchMessageStatistic.Builder`
  `setSendDate(Date sendDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public DispatchMessageStatistic.Builder setId(int value)

  - ### setSendDate

    public DispatchMessageStatistic.Builder setSendDate(Date sendDate)

  - ### setContactId

    public DispatchMessageStatistic.Builder setContactId(int contactId)

  - ### setContactValue

    public DispatchMessageStatistic.Builder setContactValue(String contact)

  - ### setMessageText

    public DispatchMessageStatistic.Builder setMessageText(String messageText)

  - ### setContractId

    public DispatchMessageStatistic.Builder setContractId(int contractId)

  - ### setContractTitle

    public DispatchMessageStatistic.Builder setContractTitle(String contractTitle)

  - ### setDispatchId

    public DispatchMessageStatistic.Builder setDispatchId(int dispatchId)

  - ### setDispatchTitle

    public DispatchMessageStatistic.Builder setDispatchTitle(String dispatchTitle)

  - ### setMessageId

    public DispatchMessageStatistic.Builder setMessageId(int messageId)

  - ### build

    public DispatchMessageStatistic build()